summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar Martin Szulecki2020-06-09 04:02:32 +0200
committerGravatar Martin Szulecki2020-06-09 04:02:32 +0200
commit6cd36e65435c63bf2569d825e1f42c83721b364a (patch)
treedbbcc00c68279c3f0154fbe1d9bc864adee9ca3c
parent33fabcb906b7f380a545a5a357bd9464d716a85b (diff)
downloadideviceinstaller-6cd36e65435c63bf2569d825e1f42c83721b364a.tar.gz
ideviceinstaller-6cd36e65435c63bf2569d825e1f42c83721b364a.tar.bz2
Apply changes towards a project wide common "autogen.sh" file
-rwxr-xr-xautogen.sh33
1 files changed, 22 insertions, 11 deletions
diff --git a/autogen.sh b/autogen.sh
index 3292973..5a0ec43 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,15 +1,26 @@
#!/bin/sh
-gprefix=`which glibtoolize 2>&1 >/dev/null`
-if [ $? -eq 0 ]; then
- glibtoolize --force
-else
- libtoolize --force
-fi
-aclocal -I m4
-autoheader
-automake --add-missing
-autoconf
+
+olddir=`pwd`
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(
+ cd "$srcdir"
+
+ gprefix=`which glibtoolize 2>&1 >/dev/null`
+ if [ $? -eq 0 ]; then
+ glibtoolize --force
+ else
+ libtoolize --force
+ fi
+ aclocal -I m4
+ autoheader
+ automake --add-missing
+ autoconf
+
+ cd "$olddir"
+)
if [ -z "$NOCONFIGURE" ]; then
- ./configure "$@"
+ $srcdir/configure "$@"
fi